> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getreditus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Partnerships

> Retrieve a paginated list of partnerships.



## OpenAPI

````yaml GET /v1/partnerships
openapi: 3.1.0
info:
  title: Reditus API - Partnerships
  description: API specification for managing partnerships in Reditus.
  version: 1.0.0
servers:
  - url: https://api.getreditus.com/api
security: []
paths:
  /v1/partnerships:
    get:
      summary: List Partnerships
      description: Retrieve a paginated list of partnerships.
      parameters:
        - name: state_eq
          in: query
          schema:
            type: string
            description: Filter by state (pending, accepted, declined)
        - name: created_at_lt
          in: query
          schema:
            type: string
            description: Created before (e.g. "2022-12-24%2012:47:45%20+0200")
        - name: created_at_gt
          in: query
          schema:
            type: string
            description: Created after (e.g. "2021-11-23%2012:47:45%20+0200")
        - name: page
          in: query
          schema:
            type: integer
            description: Page number
        - name: per_page
          in: query
          schema:
            type: integer
            maximum: 50
            description: Records to be displayed per page
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnershipListResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PartnershipListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Partnership'
        meta:
          type: object
          properties:
            pagination:
              type: object
              properties:
                page:
                  type: integer
                per_page:
                  type: integer
                has_more:
                  type: boolean
    Partnership:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        attributes:
          type: object
          properties:
            state:
              type: string
            competitor_slugs:
              type: array
              items:
                type: string
            created_by:
              type: string
            state_set_at:
              type: integer
            created_at:
              type: integer
            updated_at:
              type: integer
            referral_link:
              type: string
        relationships:
          type: object
          properties:
            partner:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````